INTR_BARRIER(9)

NAME
intr_barrier - interrupt barrier

SYNOPSIS
#include <machine/intr.h>
void
intr_barrier(void *ih);

DESCRIPTION
This function guarantees that any interrupt handler invocations for the interrupt handler specified by ih has finished before it returns. The cookie passed to intr_barrier() should be the value returned when the interrupt handler was established, for example the return value of pci_intr_establish(9).

CONTEXT
intr_barrier() can be called from process context.

SEE ALSO
pci_intr_establish(9), spl(9)